Bug 1547012 - Bricks getting assigned to different pids depending on whether brick path is IP or hostname based
Summary: Bricks getting assigned to different pids depending on whether brick path is ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: RHGS 3.4.0
Assignee: Atin Mukherjee
QA Contact: Bala Konda Reddy M
URL:
Whiteboard: brick-multiplexing
Depends On: 1547068
Blocks: 1503137
TreeView+ depends on / blocked
 
Reported: 2018-02-20 10:48 UTC by Prasad Desala
Modified: 2018-09-04 06:43 UTC (History)
6 users (show)

Fixed In Version: glusterfs-3.12.2-5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1547068 (view as bug list)
Environment:
Last Closed: 2018-09-04 06:42:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:43:52 UTC

Description Prasad Desala 2018-02-20 10:48:55 UTC
Description of problem:
=======================
Bricks getting assigned to different pids depending on whether brick path is IP or hostname based

Version-Release number of selected component (if applicable):
3.12.2-4.el7rhgs.x86_64

How reproducible:
always

Steps to Reproduce:
===================
1) Enable brick-mux.  
2) Create a volume with server hostnames as below,
gluster v create hostname replica 3 <hostname1:/brickpath> <hostname2:/brickpath> <hostname3:/brickpath> ...
3) Start the volume and make a note of glusterfsd pid
4) Now, create a new volume with server IP as below,
gluster v create IP replica 3 <IP1:/brickpath> <IP2:/brickpath> <IP3:/brickpath> ...
5) Start the volume and make a note of glusterfsd pid.

Actual results:
===============
For the two volumes, two different pids are getting assigned.

Expected results:
=================
As brick-mux is enabled, the two volumes should get the same brick process.

Comment 6 Atin Mukherjee 2018-02-20 13:18:49 UTC
upstream patch : https://review.gluster.org/19601

Comment 11 Bala Konda Reddy M 2018-04-13 09:50:34 UTC
Build : 3.12.2-7

Followed the steps mentioned in the description. 
Bricks are getting attached to the existing brick process irrespective of the volume created using hostname or ip.

Hence marking it as verified.

Comment 13 errata-xmlrpc 2018-09-04 06:42:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.